//
//  SBCinematicThird.m
//  SBGame
//
//  Created by Xiaoxuan Tang on 13-1-2.
//
//

#import "SBCinematicThird.h"

@implementation SBCinematicThird

- (id) init
{
    if (self = [super init])
    {
        CGSize winSize = [CCDirector sharedDirector].winSize;
        
        if (winSize.width < winSize.height )
        {
            CGFloat tmp = winSize.height;
            winSize.height= winSize.width;
            winSize.width = tmp;
        }
        
        CCLayerColor* blackMB = [CCLayerColor layerWithColor:ccc4(0, 0, 0, 255)
                                                       width:winSize.width
                                                      height:winSize.height];
        blackMB.position = ccp(0, 0);
        blackMB.anchorPoint = ccp(.5, .5);
        blackMB.tag = 1;
        [self addChild:blackMB z:1024];
        
        CCLabelTTF* MBLabel = [CCLabelTTF labelWithString:@"Chapter 1"
                                                 fontName:@"Zapfino"
                                                 fontSize:50];
        MBLabel.position = ccp(winSize.width/2, winSize.height/2+60);
        MBLabel.anchorPoint = ccp(.5, .5);
        [blackMB addChild:MBLabel];
        
        MBLabel = [CCLabelTTF labelWithString:@"Tang Valley's Suns"
                                     fontName:@"Zapfino"
                                     fontSize:50];
        MBLabel.position = ccp(winSize.width/2, winSize.height/2-60);
        [blackMB addChild:MBLabel];
        
        [blackMB runAction:[CCSequence actions:[CCDelayTime actionWithDuration:2], [CCFadeOut actionWithDuration:1.5], [CCCallBlockN actionWithBlock:^(CCNode *node) {
            [node removeFromParentAndCleanup:YES];
        }], nil]];

        
        [blackMB runAction:[CCSequence actions:[CCDelayTime actionWithDuration:2], [CCFadeOut actionWithDuration:1.5], [CCCallBlockN actionWithBlock:^(CCNode *node) {
            [node removeFromParentAndCleanup:YES];
        }], nil]];

    }
    return self;
}

@end
