//
//  SBGameScene.h
//  SBGame
//
//  Created by Xiaoxuan Tang on 12-11-23.
//
//

#import "CCScene.h"
#import "SBGameLayer.h"
#import "SBMenuLayer.h"
@interface SBGameScene : CCScene
{
    SBGameLayer*                        gameLayer;
    SBMenuLayer*                        menuLayer;
    NSMutableArray*                     leftArmy;
    NSMutableArray*                     rightArmy;
    NSMutableArray*                     attack;
    NSInteger                           cnt;
}

- (id) initWithLevel:(NSInteger) level;

- (void) addSpriteWithDict: (NSDictionary*) dict;
@end
