//
//  SBToBeContinue.m
//  SBGame
//
//  Created by Xiaoxuan Tang on 13-1-4.
//
//

#import "SBToBeContinue.h"
#import "SBMenuScene.h"
@implementation SBToBeContinue

- (id) init
{
    if (self = [super init])
    {
        CCLabelTTF* MBLabel = [CCLabelTTF labelWithString:@"To Be Continued..."
                                                 fontName:@"Zapfino"
                                                 fontSize:50];
        MBLabel.position = ccp(700, 100);
        MBLabel.anchorPoint = ccp(.5, .5);
        [self addChild:MBLabel];
        
        [self runAction:[CCSequence actionOne:[CCDelayTime actionWithDuration:3.f]
                                          two:[CCCallFuncN actionWithTarget:self
                                                                   selector:@selector(newScene)]]];
    }
    
    return self;
}

- (void) newScene
{
    [[CCDirector sharedDirector] replaceScene:[CCTransitionFade transitionWithDuration:.5f scene:[SBMenuScene node]]];
}

@end
