//
//  SBLoseScene.m
//  SBGame
//
//  Created by Xiaoxuan Tang on 13-1-4.
//
//

#import "SBLoseScene.h"
#import "SBMenuScene.h"

@implementation SBLoseScene

- (id) init
{
    if (self = [super init])
    {
        CCSprite* lose = [CCSprite spriteWithFile:@"lose.png"];
        lose.anchorPoint = ccp(0, 0);
        lose.position = ccp(0, 0);
        [self addChild:lose];
        
        [self runAction:[CCSequence actionOne:[CCDelayTime actionWithDuration:3.f]
                                          two:[CCCallFuncN actionWithTarget:self
                                                                   selector:@selector(newScene)]]];
    }
    
    return self;
}

- (void) newScene
{
    [[CCDirector sharedDirector] replaceScene:[CCTransitionFade transitionWithDuration:.5f scene:[SBMenuScene node]]];
}

@end
