//
//  SBSprite.h
//  SBGame
//
//  Created by Xiaoxuan Tang on 12-11-23.
//
//

#import "CCSprite.h"
#import "cocos2d.h"

@interface SBSprite : CCSprite
{
    NSInteger                       _attackRange;
    NSInteger                       _moveRange;
    NSInteger                       _damage;
    NSInteger                       _hp;
    NSInteger                       _hpMax;
    CCLayerColor*                   _hpStick;
    NSString*                       _type;
    BOOL                            _attackFlag;
    BOOL                            _deadFlag;
}

@property (nonatomic)           NSInteger attackRange;
@property (nonatomic)           NSInteger moveRange;
@property (nonatomic)           NSInteger damage;
@property (nonatomic)           NSInteger hp;
@property (nonatomic)           NSInteger hpMax;
@property (nonatomic, retain)   NSString* type;
@property (nonatomic)       BOOL      attackFlag;
@property (nonatomic)       BOOL      deadFlag;

- (id) initWithDicitionary:(NSDictionary*) dict;
- (id) initWithType: (NSString*) type;
- (void) dead;
- (CCAction* ) walk;
- (CCAction* ) attack;
@end
